Package org.apache.sysds.lops.compile.linearization

# Class LinearizerResourceAwareOptimal

java.lang.Object
org.apache.sysds.lops.compile.linearization.IDagLinearizer
org.apache.sysds.lops.compile.linearization.LinearizerResourceAwareOptimal

public class LinearizerResourceAwareOptimal extends IDagLinearizer

## Constructor Summary

Constructors
Constructor
Description
`LinearizerResourceAwareOptimal()`

## Method Summary

Modifier and Type
Method
Description
`List<Lop>`
`linearize(List<Lop> v)`
Linearized a DAG of lops into a sequence of lops that preserves all data dependencies.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinearizerResourceAwareOptimal

public LinearizerResourceAwareOptimal()

## Method Details

### linearize

public List<Lop> linearize(List<Lop> v)
Description copied from class: `IDagLinearizer`
Linearized a DAG of lops into a sequence of lops that preserves all data dependencies.

Specified by:
  `linearize` in class `IDagLinearizer`
Parameters:
  `v` - roots (outputs) of a DAG of lops
Returns:
  list of lops (input, inner, and outputs)